

<?
    
    
        
require_once ('system/func.php');
$title = 'Покупка лука';
require_once ('system/header.php');
auth();
    

    






 










	$rod = array ('Простой лук','Необычный лук','Редкий лук','Элитный лук');


	$pic = array (0,25,50,100); // цена на починку



	$rem = array (0,200,500,1000); // износ удочек

  if (isset($_SESSION['we'])){?><?=$_SESSION['we']?><?   $_SESSION['we']=NULL; }





$fish = mysql_query('SELECT * FROM `fish` WHERE `user` = "'.$myID.'"');      

    $fish = mysql_fetch_array($fish);

if(!$fish) {

  mysql_query('INSERT INTO `fish` (`user`) VALUES ("'.$myID.'")');

header('location:fish.php');exit;

}


$bs = $rem[$fish['udo4ka']];

$bsg = $pic[$fish['udo4ka']];
if(isset($_GET['rem'])){


if($fish['level']<5){  header('location:buy_rod.php');exit; }

if($user['almaz']< $pic[$fish['udo4ka']]){ $_SESSION['we']='<center><font color=red>Недостаточно Алмазов</font></center>';  header('location:buy_rod.php');exit; }



mysql_query('UPDATE `fish` SET `iznos`='.$bs.' WHERE `user` = "'.$myID.'"');   

mysql_query('UPDATE `users` SET `almaz` = `almaz` - '.$almaz.' WHERE `id` = "'.$myID.'"');   

$_SESSION['we']='<center><font color=green>Лук успешно починен!</font></center>'; header('location:buy_rod.php');exit;

}
if(isset($_GET['buy']) and !empty($_GET['id'])){


$vib = $_GET['id'];



if($vib==1){ $udo4ka=1; $iznos=200; $almaz=500; }



elseif($vib==2){ $udo4ka=2; $iznos=500; $almaz=1200; }


elseif($vib==3){ $udo4ka=3; $iznos=1000; $almaz=2500; }

else{ header('location:fish.php');exit;}


if($user['almaz']<$almaz){ 

$_SESSION['we']='<center><span class=white>Недостаточно алмазов!</span></center>';

header('location:buy_rod.php');exit;}


mysql_query('UPDATE `fish` SET `udo4ka` ='.$udo4ka.',`iznos`='.$iznos.' WHERE `user` = "'.$myID.'"');   



mysql_query('UPDATE `users` SET `almaz` = `almaz` - '.$almaz.' WHERE `id` = "'.$myID.'"');   




$_SESSION['notic']='<center><font color=green>Вы купили новый лук!</font></center>';
header('location:fish.php');exit;





}
?><div class='line'></div><div class='wrapper'> 


  <table cellpadding='0' cellspacing='0'><tr><td><img src='/fish/ud/0.jpg' alt='*'/></td> 

  <td valign='top' style='padding-left: 5px;'><span class=white>Простой лук</span><br/> 




  <font color='#60c030'><b>Эффекты:</b></font> <font color='#30c030'>Нет</font></td> 



  </tr></table> 
  <br/> 
 

</div> <?
?><div class='line'></div><div class='wrapper'> 

  <table cellpadding='0' cellspacing='0'><tr><td><img src='/fish/ud/1.jpg' alt='*'/></td> 


  <td valign='top' style='padding-left: 5px;'><span class=white>Хороший лук</span><br/> 




<font color='#60c030'><b>Эффекты:</b></font> <font color='#30c030'>Шанс +5% Награда х2, Прочность: 200</font></td> 



  </tr></table> 
  <br/> 
  <div align='center'><a class="btn_grey" href='buy_rod.php?id=1&amp;buy'>Купить за <img src='/images/icons/almaz.png' alt='*'/> 500 алмазов</a></div></div> 





</div> <? 
?><div class='line'></div><div class='wrapper'> 

  <table cellpadding='0' cellspacing='0'><tr><td><img src='/fish/ud/2.jpg' alt='*'/></td> 


  <td valign='top' style='padding-left: 5px;'><span class=white>Редкий лук</span><br/> 




<font color='#60c030'><b>Эффекты:</b></font> <font color='#30c030'>Шанс +10% Награда х3, Прочность: 500</font></td> 



  </tr></table> 
  <br/> 
  <div align='center'><a class="btn_grey" href='buy_rod.php?id=2&amp;buy'>Купить за <img src='/images/icons/almaz.png' alt='*'/> 1200 алмазов</a></div> 






</div> <?  
?><div class='line'></div><div class='wrapper'> 

  <table cellpadding='0' cellspacing='0'><tr><td><img src='/fish/ud/3.jpg' alt='*'/></td> 


  <td valign='top' style='padding-left: 5px;'><span class=white>Элитный лук</span><br/> 




<font color='#60c030'><b>Эффекты:</b></font> <font color='#30c030'>Шанс +20% Награда х4, Прочность: 1000</font></td> 



  </tr></table> 
  <br/> 
  <div align='center'><a class="btn_grey" href='buy_rod.php?id=3&amp;buy'>Купить за <img src='/images/icons/almaz.png' alt='*'/>2500 алмазов</a></div> 




</div> <?   
if($fish['level']>=5 and $fish['iznos']<10){ 
?><div class='line'></div><div class='wrapper'> 

<center><font color=green>Ремонт лука</font></center> <table cellpadding='0' cellspacing='0'><tr><td><center><img src='/fish/ud/<?=$fish['udo4ka']?>.jpg' alt='*'/></center></td>



  <td valign='top' style='padding-left: 5px;'><?=$rod[$fish['udo4ka']]?></a><br/> 




<font color='#60c030'><b>Прочность:</b></font> <font color='#30c030'><?=$fish['iznos']?></font></td> 




  </tr></table> 
  <br/> 
  <div align='center'><a class="btn_grey" href='buy_rod.php?rem'>Починить за <img src='/images/icons/almaz.png' alt='*'/> <?=$pic[$fish['udo4ka']]?> алмазов</a></div> 




</div> <? 
}
include './system/footer.php';

